Package weka.core.pmml.jaxbbindings

# Class TimeCycle

java.lang.Object
weka.core.pmml.jaxbbindings.TimeCycle

public class TimeCycle extends Object

Java class for TimeCycle element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="TimeCycle">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{http://www.dmg.org/PMML-4_1}INT-ARRAY" minOccurs="0"/>
             </sequence>
             <attribute name="displayName" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
             <attribute name="length" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="type" type="{http://www.dmg.org/PMML-4_1}VALID-TIME-SPEC" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeCycle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayType`
  `getArray()`
  Gets the value of the array property.
  `String`
  `getDisplayName()`
  Gets the value of the displayName property.
  `BigInteger`
  `getLength()`
  Gets the value of the length property.
  `VALIDTIMESPEC`
  `getType()`
  Gets the value of the type property.
  `void`
  `setArray(ArrayType value)`
  Sets the value of the array property.
  `void`
  `setDisplayName(String value)`
  Sets the value of the displayName property.
  `void`
  `setLength(BigInteger value)`
  Sets the value of the length property.
  `void`
  `setType(VALIDTIMESPEC value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimeCycle

    public TimeCycle()

- ## Method Details

  - ### getArray

    public ArrayType getArray()
    Gets the value of the array property.
    Returns:
      possible object is `ArrayType`

  - ### setArray

    public void setArray(ArrayType value)
    Sets the value of the array property.
    Parameters:
      `value` - allowed object is `ArrayType`

  - ### getDisplayName

    public String getDisplayName()
    Gets the value of the displayName property.
    Returns:
      possible object is `String`

  - ### setDisplayName

    public void setDisplayName(String value)
    Sets the value of the displayName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLength

    public BigInteger getLength()
    Gets the value of the length property.
    Returns:
      possible object is `BigInteger`

  - ### setLength

    public void setLength(BigInteger value)
    Sets the value of the length property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getType

    public VALIDTIMESPEC getType()
    Gets the value of the type property.
    Returns:
      possible object is `VALIDTIMESPEC`

  - ### setType

    public void setType(VALIDTIMESPEC value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `VALIDTIMESPEC`